Bug 894907 - [abrt] fontmatrix-0.9.99-7.r1218.fc18: size: Process /usr/bin/fontmatrix was killed by signal 11 (SIGSEGV)
Summary: [abrt] fontmatrix-0.9.99-7.r1218.fc18: size: Process /usr/bin/fontmatrix was ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fontmatrix
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a3df980ac6b14e374781580afd1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-14 00:52 UTC by Clayton Coleman
Modified: 2015-06-30 00:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:36:43 UTC


Attachments (Terms of Use)
File: backtrace (69.25 KB, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: cgroup (131 bytes, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: core_backtrace (5.76 KB, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: dso_list (17.00 KB, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: environ (3.33 KB, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: maps (83.19 KB, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: open_fds (677 bytes, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details
File: var_log_messages (1.14 KB, text/plain)
2013-01-14 00:52 UTC, Clayton Coleman
no flags Details

Description Clayton Coleman 2013-01-14 00:52:04 UTC
Description of problem:
Was using fontmatrix and importing fonts.  Some of the fonts were removed or deleted on disk and then I attempted to view them a second time.

Version-Release number of selected component:
fontmatrix-0.9.99-7.r1218.fc18

Additional info:
backtrace_rating: 4
cmdline:        fontmatrix
crash_function: size
executable:     /usr/bin/fontmatrix
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 size at /usr/include/QtCore/qlist.h:98
 #1 count at /usr/include/QtCore/qlist.h:280
 #2 FontItem::deRenderAll at /usr/src/debug/fontmatrix-0.9.99-Source/src/fontitem.cpp:1694
 #3 ChartWidget::~ChartWidget at /usr/src/debug/fontmatrix-0.9.99-Source/src/chartwidget.cpp:73
 #5 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1907
 #6 QWidget::~QWidget at kernel/qwidget.cpp:1681
 #7 QStackedWidget::~QStackedWidget at widgets/qstackedwidget.cpp:196
 #8 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1907
 #9 QWidget::~QWidget at kernel/qwidget.cpp:1681
 #10 QSplitter::~QSplitter at widgets/qsplitter.cpp:1056

Comment 1 Clayton Coleman 2013-01-14 00:52:07 UTC
Created attachment 677960 [details]
File: backtrace

Comment 2 Clayton Coleman 2013-01-14 00:52:09 UTC
Created attachment 677961 [details]
File: cgroup

Comment 3 Clayton Coleman 2013-01-14 00:52:10 UTC
Created attachment 677962 [details]
File: core_backtrace

Comment 4 Clayton Coleman 2013-01-14 00:52:12 UTC
Created attachment 677963 [details]
File: dso_list

Comment 5 Clayton Coleman 2013-01-14 00:52:14 UTC
Created attachment 677964 [details]
File: environ

Comment 6 Clayton Coleman 2013-01-14 00:52:16 UTC
Created attachment 677965 [details]
File: limits

Comment 7 Clayton Coleman 2013-01-14 00:52:17 UTC
Created attachment 677966 [details]
File: maps

Comment 8 Clayton Coleman 2013-01-14 00:52:19 UTC
Created attachment 677967 [details]
File: open_fds

Comment 9 Clayton Coleman 2013-01-14 00:52:21 UTC
Created attachment 677968 [details]
File: proc_pid_status

Comment 10 Clayton Coleman 2013-01-14 00:52:22 UTC
Created attachment 677969 [details]
File: var_log_messages

Comment 11 Parag Nemade 2013-01-14 03:19:55 UTC
I am not able to reproduce this problem. I opened fontmatrix, added 3 new fonts from my $HOME directory, exit the fontmatrix. Started again fontmatrix, can see those 3 new fonts added in addition to existing fonts.

Comment 12 Paul Flo Williams 2013-01-19 18:35:55 UTC
I can confirm that fontmatrix segfaults when fonts are removed from the disk, exactly as Clayton describes. If fonts are deleted from the disk, they still appear as a blank slot in the main grid display, and clicking on them will segfault.

It isn't even that unreasonable to be clicking on a blank slot on the main grid, because if you have a font that doesn't have any Latin glyphs to display its name (e.g. Droid Sans Arabic), you see a blank slot on the main grid even though the font exists.

Comment 13 Fedora End Of Life 2013-12-21 15:17:27 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Jens Petersen 2014-01-15 06:44:10 UTC
(In reply to Parag from comment #11)
> I am not able to reproduce this problem. I opened fontmatrix, added 3 new
> fonts from my $HOME directory, exit the fontmatrix. Started again
> fontmatrix, can see those 3 new fonts added in addition to existing fonts.

Did you remove any of the fonts before restarting?

Comment 15 Jens Petersen 2014-01-15 06:44:33 UTC
Does this still happen for F19+?

Comment 16 Fedora End Of Life 2015-05-29 08:50:54 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-06-30 00:36:43 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.